#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys, os
from PyQt5 import Qt, uic

class MainWindow(Qt.QMainWindow):
	def __init__(self):
		super(MainWindow, self).__init__()
		uic.loadUi("combo.ui", self)

		# Connect to our custom signal
		self.debugCombo.debugLevelChanged.connect(self.setDebugLevel)

		self.show()

	def setDebugLevel(self, level):
		self.debugLabel.setText(level)


if __name__ == "__main__":
	app = Qt.QApplication(sys.argv)
	ex = MainWindow()
	sys.exit(app.exec_())
